function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import Control from '@react-native-segmented-control/segmented-control';
import React from 'react';
import { StyleSheet, View } from 'react-native';
import { IS_IOS } from './helpers';

/**
 * Default iOS control. Props are passed down to the original [SegmentedControl](https://github.com/react-native-segmented-control/segmented-control#react-native-segmented-controlsegmented-control).
 *
 * Example usage:
 *
 * ```tsx
 * import {
 *  Segmented,
 *  SegmentedControl
 * } from 'react-native-collapsible-segmented-view
 *
 * ...
 *
 * <Segmented.View
 *  control={(props) => <SegmentedControl {...props} appearence='dark' />}
 * >
 *  ...
 * ```
 */
export const SegmentedControl = ({
  initialIndex,
  setIndex,
  labels,
  containerStyle,
  ...rest
}) => {
  const [selectedIndex, setSelectedIndex] = React.useState(initialIndex);
  const onChange = React.useCallback(event => {
    setIndex(event.nativeEvent.selectedSegmentIndex);
  }, [setIndex]);
  const onValueChange = React.useCallback(label => {
    const nextIndex = labels.findIndex(l => l === label);
    setIndex(nextIndex);
    setSelectedIndex(nextIndex);
  }, [setIndex, labels]);
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, containerStyle]
  }, /*#__PURE__*/React.createElement(Control, _extends({
    values: labels,
    onChange: IS_IOS ? onChange : undefined,
    onValueChange: IS_IOS ? undefined : onValueChange,
    selectedIndex: selectedIndex
  }, rest)));
};
const styles = StyleSheet.create({
  container: {
    padding: 8
  }
});
//# sourceMappingURL=SegmentedControl.js.map